Index: /code/branches/kicklib2/src/libraries/util/MathConvert.h
===================================================================
--- /code/branches/kicklib2/src/libraries/util/MathConvert.h	(revision 8283)
+++ /code/branches/kicklib2/src/libraries/util/MathConvert.h	(revision 8284)
@@ -51,5 +51,5 @@
     struct ConverterExplicit<orxonox::Vector2, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::Vector2& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::Vector2& input)
         {
             std::ostringstream ostream;
@@ -67,5 +67,5 @@
     struct ConverterExplicit<orxonox::Vector3, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::Vector3& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::Vector3& input)
         {
             std::ostringstream ostream;
@@ -83,5 +83,5 @@
     struct ConverterExplicit<orxonox::Vector4, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::Vector4& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::Vector4& input)
         {
             std::ostringstream ostream;
@@ -99,5 +99,5 @@
     struct ConverterExplicit<orxonox::Quaternion, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::Quaternion& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::Quaternion& input)
         {
             std::ostringstream ostream;
@@ -115,5 +115,5 @@
     struct ConverterExplicit<orxonox::ColourValue, std::string>
     {
-        FORCEINLINE static bool convert(std::string* output, const orxonox::ColourValue& input)
+        ORX_FORCEINLINE static bool convert(std::string* output, const orxonox::ColourValue& input)
         {
             std::ostringstream ostream;
@@ -157,5 +157,5 @@
     struct ConverterFallback<orxonox::Radian, ToType>
     {
-        FORCEINLINE static bool convert(ToType* output, const orxonox::Radian& input)
+        ORX_FORCEINLINE static bool convert(ToType* output, const orxonox::Radian& input)
         {
             return convertValue<Ogre::Real, ToType>(output, input.valueRadians());
@@ -167,5 +167,5 @@
     struct ConverterFallback<orxonox::Degree, ToType>
     {
-        FORCEINLINE static bool convert(ToType* output, const orxonox::Degree& input)
+        ORX_FORCEINLINE static bool convert(ToType* output, const orxonox::Degree& input)
         {
             return convertValue<Ogre::Real, ToType>(output, input.valueDegrees());
@@ -177,5 +177,5 @@
     struct ConverterFallback<FromType, orxonox::Radian>
     {
-        FORCEINLINE static bool convert(orxonox::Radian* output, const FromType& input)
+        ORX_FORCEINLINE static bool convert(orxonox::Radian* output, const FromType& input)
         {
             float temp;
@@ -194,5 +194,5 @@
     struct ConverterFallback<FromType, orxonox::Degree>
     {
-        FORCEINLINE static bool convert(orxonox::Degree* output, const FromType& input)
+        ORX_FORCEINLINE static bool convert(orxonox::Degree* output, const FromType& input)
         {
             float temp;
Index: /code/branches/kicklib2/src/libraries/util/SharedPtr.h
===================================================================
--- /code/branches/kicklib2/src/libraries/util/SharedPtr.h	(revision 8283)
+++ /code/branches/kicklib2/src/libraries/util/SharedPtr.h	(revision 8284)
@@ -163,4 +163,5 @@
             public:
                 SharedCounter() : count_(1) {}
+                virtual ~SharedCounter() {}
                 virtual void destroy() = 0;
 
@@ -186,5 +187,5 @@
         _UtilExport SmallObjectAllocator& createSharedCounterPool();
 
-        FORCEINLINE SmallObjectAllocator& getSharedCounterPool()
+        ORX_FORCEINLINE SmallObjectAllocator& getSharedCounterPool()
         {
             static SmallObjectAllocator& instance = createSharedCounterPool();
Index: /code/branches/kicklib2/src/libraries/util/SignalHandler.h
===================================================================
--- /code/branches/kicklib2/src/libraries/util/SignalHandler.h	(revision 8283)
+++ /code/branches/kicklib2/src/libraries/util/SignalHandler.h	(revision 8284)
@@ -70,5 +70,5 @@
 
     /// The SignalHandler is used to catch signals like SIGSEGV and write a backtrace to the logfile.
-    class SignalHandler : public Singleton<SignalHandler>
+    class _UtilExport SignalHandler : public Singleton<SignalHandler>
     {
         friend class Singleton<SignalHandler>;
Index: /code/branches/kicklib2/src/libraries/util/UtilPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/libraries/util/UtilPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/libraries/util/UtilPrereqs.h	(revision 8284)
@@ -52,8 +52,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _UtilPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _UtilExport  __attribute__ ((visibility("default")))
+#  define _UtilPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _UtilExport
+#  define _UtilPrivate
 #endif
 
Index: /code/branches/kicklib2/src/modules/designtools/DesignToolsPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/modules/designtools/DesignToolsPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/modules/designtools/DesignToolsPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _DesignToolsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _DesignToolsExport  __attribute__ ((visibility("default")))
+#  define _DesignToolsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _DesignToolsExport
+#  define _DesignToolsPrivate
 #endif
 
Index: /code/branches/kicklib2/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- /code/branches/kicklib2/src/modules/designtools/ScreenshotManager.cc	(revision 8283)
+++ /code/branches/kicklib2/src/modules/designtools/ScreenshotManager.cc	(revision 8284)
@@ -46,4 +46,5 @@
 #include "core/GraphicsManager.h"
 #include "core/PathConfig.h"
+#include "core/Resource.h"
 #include "core/command/ConsoleCommand.h"
 #include "util/ScopedSingletonManager.h"
Index: /code/branches/kicklib2/src/modules/notifications/NotificationsPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/modules/notifications/NotificationsPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/modules/notifications/NotificationsPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _NotificationsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _NotificationsExport  __attribute__ ((visibility("default")))
+#  define _NotificationsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _NotificationsExport
+#  define _NotificationsPrivate
 #endif
 
Index: /code/branches/kicklib2/src/modules/objects/ObjectsPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/modules/objects/ObjectsPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/modules/objects/ObjectsPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _ObjectsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _ObjectsExport  __attribute__ ((visibility("default")))
+#  define _ObjectsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _ObjectsExport
+#  define _ObjectsPrivate
 #endif
 
Index: /code/branches/kicklib2/src/modules/overlays/OverlaysPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/modules/overlays/OverlaysPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/modules/overlays/OverlaysPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _OverlaysPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _OverlaysExport  __attribute__ ((visibility("default")))
+#  define _OverlaysPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _OverlaysExport
+#  define _OverlaysPrivate
 #endif
 
Index: /code/branches/kicklib2/src/modules/pickup/PickupPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/modules/pickup/PickupPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/modules/pickup/PickupPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _PickupPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _PickupExport  __attribute__ ((visibility("default")))
+#  define _PickupPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _PickupExport
+#  define _PickupPrivate
 #endif
 
Index: /code/branches/kicklib2/src/modules/pong/PongPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/modules/pong/PongPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/modules/pong/PongPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _PongPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _PongExport  __attribute__ ((visibility("default")))
+#  define _PongPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _PongExport
+#  define _PongPrivate
 #endif
 
Index: /code/branches/kicklib2/src/modules/questsystem/QuestEffect.cc
===================================================================
--- /code/branches/kicklib2/src/modules/questsystem/QuestEffect.cc	(revision 8283)
+++ /code/branches/kicklib2/src/modules/questsystem/QuestEffect.cc	(revision 8284)
@@ -68,12 +68,12 @@
     /*static*/ bool QuestEffect::invokeEffects(PlayerInfo* player, std::list<QuestEffect*> & effects)
     {
-        bool check = true;
+        bool temp = true;
 
         COUT(4) << "Invoking QuestEffects on player: " << player << " ."  << std::endl;
 
         for (std::list<QuestEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
-            check = check && (*effect)->invoke(player);
+            temp = temp && (*effect)->invoke(player);
 
-        return check;
+        return temp;
     }
 
Index: /code/branches/kicklib2/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- /code/branches/kicklib2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8283)
+++ /code/branches/kicklib2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8284)
@@ -143,6 +143,6 @@
         COUT(4) << "QuestEffectBeacon executed on player: " << player << " ." << std::endl;
 
-        bool check = QuestEffect::invokeEffects(player, this->effects_); // Invoke the QuestEffects on the PlayerInfo.
-        if(check)
+        bool temp = QuestEffect::invokeEffects(player, this->effects_); // Invoke the QuestEffects on the PlayerInfo.
+        if(temp)
         {
             this->decrementTimes(); // Decrement the number of times the beacon can be used.
Index: /code/branches/kicklib2/src/modules/questsystem/QuestsystemPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/modules/questsystem/QuestsystemPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/modules/questsystem/QuestsystemPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _QuestsystemPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _QuestsystemExport  __attribute__ ((visibility("default")))
+#  define _QuestsystemPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _QuestsystemExport
+#  define _QuestsystemPrivate
 #endif
 
Index: /code/branches/kicklib2/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- /code/branches/kicklib2/src/modules/questsystem/effects/AddReward.cc	(revision 8283)
+++ /code/branches/kicklib2/src/modules/questsystem/effects/AddReward.cc	(revision 8284)
@@ -105,11 +105,11 @@
         COUT(5) << "AddReward on player: " << player << " ." << std::endl;
 
-        bool check = true;
+        bool temp = true;
         for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
-            check = check && (*reward)->reward(player);
+            temp = temp && (*reward)->reward(player);
 
         COUT(4) << "Rewardable successfully added to player." << player << " ." << std::endl;
 
-        return check;
+        return temp;
     }
 
Index: /code/branches/kicklib2/src/modules/weapons/WeaponsPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/modules/weapons/WeaponsPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/modules/weapons/WeaponsPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _WeaponsPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _WeaponsExport  __attribute__ ((visibility("default")))
+#  define _WeaponsPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _WeaponsExport
+#  define _WeaponsPrivate
 #endif
 
Index: /code/branches/kicklib2/src/orxonox-main.vcxproj.user.in
===================================================================
--- /code/branches/kicklib2/src/orxonox-main.vcxproj.user.in	(revision 8284)
+++ /code/branches/kicklib2/src/orxonox-main.vcxproj.user.in	(revision 8284)
@@ -0,0 +1,23 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|${MSVC_PLATFORM}'">
+    <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
+    <LocalDebuggerEnvironment>PATH=${RUNTIME_LIBRARY_DIRECTORY};%PATH%</LocalDebuggerEnvironment>
+    <LocalDebuggerWorkingDirectory>$(Outdir)</LocalDebuggerWorkingDirectory>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='MinSizeRel|${MSVC_PLATFORM}'">
+    <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
+    <LocalDebuggerEnvironment>PATH=${RUNTIME_LIBRARY_DIRECTORY};%PATH%</LocalDebuggerEnvironment>
+    <LocalDebuggerWorkingDirectory>$(Outdir)</LocalDebuggerWorkingDirectory>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|${MSVC_PLATFORM}'">
+    <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
+    <LocalDebuggerEnvironment>PATH=${RUNTIME_LIBRARY_DIRECTORY};%PATH%</LocalDebuggerEnvironment>
+    <LocalDebuggerWorkingDirectory>$(Outdir)</LocalDebuggerWorkingDirectory>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='RelWithDebInfo|${MSVC_PLATFORM}'">
+    <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
+    <LocalDebuggerEnvironment>PATH=${RUNTIME_LIBRARY_DIRECTORY};%PATH%</LocalDebuggerEnvironment>
+    <LocalDebuggerWorkingDirectory>$(Outdir)</LocalDebuggerWorkingDirectory>
+  </PropertyGroup>
+</Project>
Index: /code/branches/kicklib2/src/orxonox/MoodManager.cc
===================================================================
--- /code/branches/kicklib2/src/orxonox/MoodManager.cc	(revision 8283)
+++ /code/branches/kicklib2/src/orxonox/MoodManager.cc	(revision 8284)
@@ -56,4 +56,7 @@
             COUT(2) << "Mood Warning: Folder for default mood (" << MoodManager::defaultMood_ << ") does not exist!" << std::endl;
         }
+        
+        // @TODO
+        // Creating a vector of the available moods to enable easy mood selection by Lua/CEGUI        
     }
 
Index: /code/branches/kicklib2/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- /code/branches/kicklib2/src/orxonox/OrxonoxPrereqs.h	(revision 8283)
+++ /code/branches/kicklib2/src/orxonox/OrxonoxPrereqs.h	(revision 8284)
@@ -53,8 +53,11 @@
 #    endif
 #  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _OrxonoxPrivate
+#elif defined (ORXONOX_GCC_VISIBILITY)
 #  define _OrxonoxExport  __attribute__ ((visibility("default")))
+#  define _OrxonoxPrivate __attribute__ ((visibility("hidden")))
 #else
 #  define _OrxonoxExport
+#  define _OrxonoxPrivate
 #endif
 
Index: /code/branches/kicklib2/src/orxonox/sound/AmbientSound.cc
===================================================================
--- /code/branches/kicklib2/src/orxonox/sound/AmbientSound.cc	(revision 8283)
+++ /code/branches/kicklib2/src/orxonox/sound/AmbientSound.cc	(revision 8284)
@@ -42,5 +42,5 @@
 
         // Ambient sounds always fade in
-        this->setVolume(0);
+        this->setVolume(0.0f);
     }
 
Index: /code/branches/kicklib2/src/orxonox/sound/SoundBuffer.cc
===================================================================
--- /code/branches/kicklib2/src/orxonox/sound/SoundBuffer.cc	(revision 8283)
+++ /code/branches/kicklib2/src/orxonox/sound/SoundBuffer.cc	(revision 8284)
@@ -30,5 +30,5 @@
 #include "SoundBuffer.h"
 
-#include <AL/alut.h>
+#include <alut.h>
 #include <vorbis/vorbisfile.h>
 
Index: /code/branches/kicklib2/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/kicklib2/src/orxonox/sound/SoundManager.cc	(revision 8283)
+++ /code/branches/kicklib2/src/orxonox/sound/SoundManager.cc	(revision 8284)
@@ -31,6 +31,6 @@
 #include "SoundManager.h"
 
-#include <AL/alut.h>
 #include <utility>
+#include <alut.h>
 #include <loki/ScopeGuard.h>
 
@@ -73,4 +73,8 @@
         this->bDestructorCalled_ = false;
 
+        // Clear error messages (might be problematic on some systems)
+        alGetError();
+        alutGetError();
+
         // See whether we even want to load
         bool bDisableSound_ = false;
@@ -78,5 +82,4 @@
         if (bDisableSound_)
             ThrowException(InitialisationAborted, "Sound: Not loading at all");
-
         if (!alutInitWithoutContext(NULL, NULL))
             ThrowException(InitialisationFailed, "Sound Error: ALUT initialisation failed: " << alutGetErrorString(alutGetError()));
Index: /code/branches/kicklib2/src/orxonox/sound/WorldSound.cc
===================================================================
--- /code/branches/kicklib2/src/orxonox/sound/WorldSound.cc	(revision 8283)
+++ /code/branches/kicklib2/src/orxonox/sound/WorldSound.cc	(revision 8284)
@@ -30,5 +30,6 @@
 #include "WorldSound.h"
 
-#include <AL/alut.h>
+#include <alut.h>
+
 #include "util/Math.h"
 #include "core/CoreIncludes.h"
